org.apache.commons.math.linear

## Class NotPositiveDefiniteMatrixException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.linear.NotPositiveDefiniteMatrixException

- All Implemented Interfaces:
    Serializable, MathThrowable

      public class NotPositiveDefiniteMatrixException
      extends MathException

  This class represents exceptions thrown when a matrix expected to be positive definite is not.
  Since:
    1.2
  Version:
    $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotPositiveDefiniteMatrixException()` Simple constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math.MathException

      `getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NotPositiveDefiniteMatrixException

          public NotPositiveDefiniteMatrixException()

      Simple constructor. build an exception with a default message.

Copyright (c) 2003-2013 Apache Software Foundation